[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBinaryObjectReader.ReadString

Read a string

## Declaration

Source position: classesh.inc line 1177

`public function TBinaryObjectReader.ReadString(`
`StringType: TValueType`
`):string; override;`

## Description

ReadStr reads a string of type StringType from a binary stream.

This method is simply the implementation for a binary stream of the abstract method introduced in TAbstractObjectReader

Documentation generated on: Feb 26 2014